import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:date_time_plus/date_time_plus_method_channel.dart';

void main() {
  MethodChannelDateTimePlus platform = MethodChannelDateTimePlus();
  const MethodChannel channel = MethodChannel('date_time_plus');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
